Subject: Re: [codec] draft-valin-codec-opus-update-00 minor nits

From: Jean-Marc Valin <[email-masked]>
Date: Fri, 06 Sep 2013 14:52:18 -0400

Hi Mark,

Thanks for the feedback. I'll apply the changes. The only one I'm not
sure what to do about is the >72 column patches that I'm including.
Does anyone have a suggestion for how to include those cleanly in the
document?

Cheers,

	Jean-Marc

On 08/29/2013 07:21 PM, Mark Harris wrote:
> Some minor formatting/grammar nits in
> draft-valin-codec-opus-update-00:
> 
> 
> This document address minor issues that were discovered in the
> 
> s/address/addresses/
> 
> impulse (i.e.  single sample) in the decoded audio.  This can be
> 
> s/i.e.  /i.e. /
> 
> This packet parsing issue is limited to reading memory up to about
> 60 kB beyond the compressed buffer.  This can only be triggered by
> a
> 
> incorrect line break between quantity and its unit
> 
> for RTP.  In theory, it _could_ crash a file decoder (e.g.  Opus
> in
> 
> s/e.g.  /e.g. /
> 
> 2.  Because the size was wrong, this potentially allowed the
> source and destination regions of the memcpy overlap.  We _believe_
> that nSamplesIn is at least fs_in_khZ, which is at least 8.  Since 
> RESAMPLER_ORDER_FIR_12 is only 8,that should not be a problem once
> the type size is fixed.
> 
> s/memcpy overlap/memcpy() to overlap/ s/8,that/8, that/
> 
> The fact that the code never produced any error in testing
> (including when run under the Valgrind memory debugger), suggests
> that in practice the batch sizes are reasonable enough that none of
> the issues above was ever a problem.  However, proving that is
> non- obvious.
> 
> s/was/were/
> 
> The code can be fixed by applying the following changes to like 70
> of silk/resampler_private_IIR_FIR.c:
> 
> s/like/line/
> 
> The last issue is not strictly a bug, but it is an issue that has 
> been reported when downmixing Opus decoded stream to mono, whether 
> this is done inside the decoder or as a post-processing on the
> stereo decoder output.  Opus intensity stereo allows optionally
> coding the
> 
> s/downmixing/downmixing an/ s/post-processing/post-processing
> step/
> 
> some source lines exceed 72 columns (rfc max) 
> _______________________________________________ codec mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/codec
>